Name:           aegis
Version:        265.5d7a880
Release:        1%{?dist}
Summary:        Scriptable backend installer for Athena OS.

License:        GPL-3.0-or-later
URL:            https://github.com/Athena-OS/aegis
Source0:        https://github.com/Athena-OS/aegis/archive/refs/heads/main.tar.gz#/aegis-main.tar.gz

# Dependencies
BuildRequires:  cargo
BuildRequires:  git
Requires:       parted
Requires:       btrfs-progs
Requires:       dosfstools
Requires:       e2fsprogs
Requires:       f2fs-tools
#Requires:       nix
Requires:       ntfs-3g
Requires:       unzip
Requires:       util-linux
Requires:       xfsprogs

ExclusiveArch:  x86_64 aarch64

%description
Scriptable backend installer for Athena OS.

%prep
%autosetup -n %{name}-main
cargo fetch --locked --target %{_target_cpu}-unknown-linux-gnu

%build
export RUSTUP_TOOLCHAIN=stable
export CARGO_TARGET_DIR=target
cargo build --frozen --release --all-features

%install
install -Dm0755 target/release/%{name}-fedora %{buildroot}%{_bindir}/%{name}-fedora
install -Dm0755 target/release/%{name}-nix %{buildroot}%{_bindir}/%{name}-nix

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}-fedora
%{_bindir}/%{name}-nix

%changelog
* Thu May 01 2025 17:01 Little Owl <littleowl@athenaos.org>
- Synced with upstream
